/payments/pricing/amberflo/account-pricing/detailed-dimension-matrix-node
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/account-pricing/detailed-dimension-matrix-node
Body Parameters
- bodypayment.dal.DetailedDimensionMatrixNodeServiceQuery.in
- customerIdstring
- customerTagsmap<string, string>
- dimensionsmap<string, string>
Responses
200
- payment.pricing.DetailedDimensionMatrixNode.out[]
- headerspayment.common.Headers.out
- headersstring[]
- possibleValuesmap<string, string[]>
- rowspayment.common.DetailedDimensionMatrixNodeRow.out[]
- datastring[]
- priceTierspayment.pricing.price.PriceTier.out[]
- startAfterUnitinteger<int64>
- batchSizeinteger<int64>
- pricePerBatchnumber
- discountedPriceTierspayment.pricing.price.PriceTier.out[]
- startAfterUnitinteger<int64>
- batchSizeinteger<int64>
- pricePerBatchnumber
- secondaryTierspayment.pricing.price.PriceTier.out[]
- startAfterUnitinteger<int64>
- batchSizeinteger<int64>
- pricePerBatchnumber
- planIdstring
- productItemIdstring
- meterApiNamestring
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/detailed-dimension-matrix-node \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/detailed-dimension-matrix-node", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/detailed-dimension-matrix-node")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/detailed-dimension-matrix-node"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
[
{
"headers": {
"headers": [
""
],
"possibleValues": ""
},
"rows": [
{
"data": [
""
],
"priceTiers": [
{
"startAfterUnit": "",
"batchSize": "",
"pricePerBatch": 0
}
],
"discountedPriceTiers": [
{
"startAfterUnit": "",
"batchSize": "",
"pricePerBatch": 0
}
],
"secondaryTiers": [
{
"startAfterUnit": "",
"batchSize": "",
"pricePerBatch": 0
}
]
}
],
"planId": "",
"productItemId": "",
"meterApiName": ""
}
]